Skip to content
Permalink
Browse files

Update dependencies

  • Loading branch information...
lihenggui committed Jun 14, 2019
1 parent 104f652 commit 7d8eca300ae966551376e547f3f44add9b551b01
Showing with 21 additions and 22 deletions.
  1. +7 −7 app/build.gradle
  2. +5 −6 build.gradle
  3. +2 −2 core/build.gradle
  4. +2 −2 gradle/wrapper/gradle-wrapper.properties
  5. +2 −2 ifw-api/build.gradle
  6. +3 −3 libkit/build.gradle
@@ -43,13 +43,13 @@ dependencies {
implementation fileTree(include: ['*.jar'], dir: 'libs')
implementation 'androidx.legacy:legacy-support-v4:1.0.0'
implementation 'androidx.recyclerview:recyclerview:1.0.0'
implementation 'com.google.android.material:material:1.1.0-alpha05'
implementation 'com.google.android.material:material:1.1.0-alpha07'
implementation 'androidx.legacy:legacy-support-v4:1.0.0'
implementation 'androidx.annotation:annotation:1.0.2'
implementation 'androidx.preference:preference:1.1.0-alpha04'
implementation 'androidx.annotation:annotation:1.1.0'
implementation 'androidx.preference:preference:1.1.0-beta01'
implementation 'androidx.browser:browser:1.0.0'
implementation "android.arch.work:work-runtime-ktx:1.0.1-rc01"
implementation 'androidx.constraintlayout:constraintlayout:2.0.0-alpha4'
implementation "android.arch.work:work-runtime-ktx:1.0.1"
implementation 'androidx.constraintlayout:constraintlayout:2.0.0-beta1'
implementation "com.mikepenz:materialdrawer:6.1.1"
// rxpermission
implementation 'com.tbruyelle.rxpermissions2:rxpermissions:0.9.5@aar'
@@ -70,6 +70,6 @@ dependencies {
implementation project(':libkit')

testImplementation 'junit:junit:4.12'
androidTestImplementation 'androidx.test:runner:1.1.1'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.1.1'
androidTestImplementation 'androidx.test:runner:1.2.0'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.2.0'
}
@@ -1,18 +1,17 @@
buildscript {
ext.kotlin_version = '1.3.21'
ext.support_lib_version = '28.0.0'
ext.kotlin_version = '1.3.31'
ext.retrofit_version = '2.4.0'
ext.rxjava_version = '2.2.2'
ext.rxandroid_version = '2.1.0'
ext.rxjava_version = '2.2.9'
ext.rxandroid_version = '2.1.1'
ext.glide_version = '4.8.0'
ext.anko_version='0.10.8'
ext.coroutine_version='1.0.1'
ext.coroutine_version='1.3.0-M1'
repositories {
google()
jcenter()
}
dependencies {
classpath 'com.android.tools.build:gradle:3.3.2'
classpath 'com.android.tools.build:gradle:3.4.1'
classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
}
}
@@ -33,6 +33,6 @@ dependencies {
implementation project(':libkit')

testImplementation 'junit:junit:4.12'
androidTestImplementation 'androidx.test:runner:1.1.1'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.1.1'
androidTestImplementation 'androidx.test:runner:1.2.0'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.2.0'
}
@@ -1,6 +1,6 @@
#Thu Oct 11 20:53:23 CST 2018
#Wed Jun 12 15:17:31 CST 2019
distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists
distributionUrl=https\://services.gradle.org/distributions/gradle-4.10.1-all.zip
distributionUrl=https\://services.gradle.org/distributions/gradle-5.1.1-all.zip
@@ -41,6 +41,6 @@ dependencies {
implementation project(':libkit')

testImplementation 'junit:junit:4.12'
androidTestImplementation 'androidx.test:runner:1.1.1'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.1.1'
androidTestImplementation 'androidx.test:runner:1.2.0'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.2.0'
}
@@ -33,8 +33,8 @@ dependencies {
api 'androidx.appcompat:appcompat:1.0.2'
api "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
testImplementation 'junit:junit:4.12'
androidTestImplementation 'androidx.test:runner:1.1.1'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.1.1'
androidTestImplementation 'androidx.test:runner:1.2.0'
androidTestImplementation 'androidx.test.espresso:espresso-core:3.2.0'
//rxjava and rxandroid
api "io.reactivex.rxjava2:rxandroid:$rxandroid_version"
api "io.reactivex.rxjava2:rxjava:$rxjava_version"
@@ -45,5 +45,5 @@ dependencies {
//Shizuku API
api 'moe.shizuku.privilege:api-base:9'
api 'moe.shizuku.privilege:api-26:4'
api 'com.google.code.gson:gson:2.8.2'
api 'com.google.code.gson:gson:2.8.5'
}

0 comments on commit 7d8eca3

Please sign in to comment.
You can’t perform that action at this time.